Skip to main content
`Ctrl`+`K`

# TaoSetSolution

Sets the vector holding the initial guess for the solve

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetSolution(Tao tao, Vec x0)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- x0 - the initial guess

## See Also

TAO: Optimization Solvers, `Tao`, `TaoCreate()`, `TaoSolve()`, `TaoGetSolution()`

## Level

beginner

## Location

src/tao/interface/taosolver_fg.c

## Examples

src/tao/leastsquares/tutorials/chwirut1f.F90
src/tao/complementarity/tutorials/blackscholes.c
src/tao/leastsquares/tutorials/chwirut1.c
src/tao/complementarity/tutorials/minsurf1.c
src/tao/bound/tutorials/jbearing2.c
src/tao/bound/tutorials/plate2.c
src/tao/constrained/tutorials/tomographyADMM.c
src/tao/bound/tutorials/plate2f.F90
src/tao/constrained/tutorials/maros.c
src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages